## ros-indigo-fetch-moveit-config 0.7.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(fetch_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

install(
  DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-fetch-moveit-config (0.7.15-0trusty) trusty; urgency=high

  * [Docs] Add URL tags to package for wiki.ros.org (backport) (#91 <https://github.com/fetchrobotics/fetch_ros/issues/91>)
  * Contributors: Alexander Moriarty

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 26 Mar 2019 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.7.14-0trusty) trusty; urgency=high

  * updates ownership
  * Contributors: Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 10 Jul 2018 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.7.13-0trusty) trusty; urgency=high

  * add apply_planning_scene
  * [moveit_config] Add CHOMP planner demo launch.
    Enabling CHOMP on RViz by following the [tutorial](http://docs.ros.org/kinetic/api/moveit_tutorials/html/doc/chomp_interface_tutorial.html) (which currently included false information. I'll open a PR right after this).
    Tested on Xenial-Kinetic
    This commit is not necessarily intended to merged in. But would be nice to be kept for the entire MoveIt! community as a reference if possible. At least this will remain on the fork of @130s.
    *This PR is sponsored by [PlusOne Robotics](http://plusonerobotics.com) as part of [World MoveIt! Day 2017 hackathon](http://moveit.ros.org/events/world-moveit-day-2017)*
  * Contributors: Isaac I.Y. Saito, Shingo Kitagawa

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 02 Nov 2017 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.7.12-0trusty) trusty; urgency=high

  * add dependency for moveit
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 02 Aug 2017 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.7.11-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 31 Jul 2017 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.7.10-0trusty) trusty; urgency=high

  * update package.xmls, add depend on fetch_ikfast_plugin
  * load the ikfast kinematics plugin
  * Contributors: Di Sun, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 27 Oct 2016 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.7.9-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 26 Jul 2016 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.7.8-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.7.7-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.7.6-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 26 May 2016 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.7.5-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 08 May 2016 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.7.4-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 16 Mar 2016 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.7.3-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Mar 2016 08:00:00 -0000

ros-indigo-fetch-moveit-config (0.7.2-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 24 Feb 2016 08:00:00 -0000

ros-indigo-fetch-moveit-config (0.7.1-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 20 Jan 2016 08:00:00 -0000

ros-indigo-fetch-moveit-config (0.7.0-0trusty) trusty; urgency=high

  * fix dependency issue with run/test duplication
  * add missing moveit_python depend
  * fix name of gripper fingers in fake controllers
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 29 Sep 2015 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.6.2-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Jul 2015 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.6.1-0trusty) trusty; urgency=high

  * add (optional) octomap configuration
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 03 Jul 2015 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.6.0-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 23 Jun 2015 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.5.14-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 19 Jun 2015 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.5.13-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 13 Jun 2015 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.5.12-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 12 Jun 2015 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.5.11-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 10 Jun 2015 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.5.10-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 07 Jun 2015 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.5.9-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 07 Jun 2015 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.5.8-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 07 Jun 2015 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.5.7-0trusty) trusty; urgency=high

  * bump joint limits used for moveit
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 05 Jun 2015 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.5.6-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 04 Jun 2015 07:00:00 -0000

ros-indigo-fetch-moveit-config (0.5.5-0trusty) trusty; urgency=high





=== debian/control ===
Source: ros-indigo-fetch-moveit-config
Section: misc
Priority: extra
Maintainer: Russell Toris <rtoris@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-fetch-description, ros-indigo-rostest
Homepage: http://ros.org/wiki/fetch_moveit_config
Standards-Version: 3.9.2

Package: ros-indigo-fetch-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-fetch-description, ros-indigo-fetch-ikfast-plugin, ros-indigo-joint-state-publisher, ros-indigo-moveit-fake-controller-manager, ros-indigo-moveit-kinematics, ros-indigo-moveit-planners-ompl, ros-indigo-moveit-python, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-ros-visualization, ros-indigo-moveit-simple-controller-manager, ros-indigo-robot-state-publisher, ros-indigo-rospy, ros-indigo-xacro
Description: An automatically generated package with all the configuration and launch files for using the fetch_urdf with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-fetch-moveit-config//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
